# -*- encoding: utf-8 -*-
# stub: azure_mgmt_relay 0.17.2 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_relay".freeze
  s.version = "0.17.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/management/azure_mgmt_relay" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Relay Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2016-07-01".freeze, "lib/2016-07-01/generated".freeze, "lib/2016-07-01/generated/azure_mgmt_relay".freeze, "lib/2016-07-01/generated/azure_mgmt_relay.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/hybrid_connections.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/access_rights.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/authorization_rule.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/authorization_rule_keys.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/authorization_rule_list_result.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/check_name_availability.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/check_name_availability_result.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/error_response.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/hybrid_connection.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/hybrid_connection_list_result.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/operation.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/operation_display.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/operation_list_result.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/policy_key.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/regenerate_keys_parameters.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/relay_namespace.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/relay_namespace_list_result.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/relay_namespace_update_parameter.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/relaytype.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/resource.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/sku.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/tracked_resource.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/unavailable_reason.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/wcf_relay.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/models/wcf_relays_list_result.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/module_definition.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/namespaces.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/operations.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/relay_management_client.rb".freeze, "lib/2016-07-01/generated/azure_mgmt_relay/wcfrelays.rb".freeze, "lib/2017-04-01".freeze, "lib/2017-04-01/generated".freeze, "lib/2017-04-01/generated/azure_mgmt_relay".freeze, "lib/2017-04-01/generated/azure_mgmt_relay.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/hybrid_connections.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/access_keys.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/access_rights.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/authorization_rule.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/authorization_rule_list_result.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/check_name_availability.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/check_name_availability_result.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/error_response.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/hybrid_connection.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/hybrid_connection_list_result.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/key_type.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/operation.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/operation_display.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/operation_list_result.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/provisioning_state_enum.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/regenerate_access_key_parameters.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/relay_namespace.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/relay_namespace_list_result.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/relay_update_parameters.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/relaytype.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/resource.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/resource_namespace_patch.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/sku.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/sku_tier.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/tracked_resource.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/unavailable_reason.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/wcf_relay.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/models/wcf_relays_list_result.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/module_definition.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/namespaces.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/operations.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/relay_management_client.rb".freeze, "lib/2017-04-01/generated/azure_mgmt_relay/wcfrelays.rb".freeze, "lib/azure_mgmt_relay.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/relay_profile_module.rb".freeze, "lib/profiles/latest/relay_latest_profile_client.rb".freeze, "lib/profiles/latest/relay_module_definition.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Relay.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
